Welcome to Xceed Zip for .NET

Xceed Zip for .NET is a data compression and all-purpose file manipulation class library for the Microsoft .NET framework. It provides flexible zip, unzip and streaming data compression capabilities to .NET applications. The library includes an innovative and extensible filesystem object model that makes zip files as easy to work with as regular files or folders.

Created by the makers of high-quality compression components since 1994, Xceed Zip for .NET is a 5th generation compression library. It has been completely redesigned and rewritten in 100% managed C# code to offer .NET developers the highest performance and flexibility possible. It is also easier to use than ever before, requiring only a single line of code to accomplish basic Zip and data compression tasks.

The library comes with full support for VB.NET and C# and includes a variety of useful and interesting sample applications. To increase development momentum, the library’s classes integrate seamlessly with the .NET base class library and the component offers comprehensive Visual Studio .NET style documentation. Prompt, expert telephone and email support is also provided free of charge.

We invite you to download the fully functional free trial version of the library and start integrating Xceed Zip into one of your existing programs right away. Get it at http://www.xceedsoft.com. The best-selling ActiveX version of this library is also available for download on the site.

All Xceed products include free support, royalty-free distribution and a 60-day money-back guarantee. If you're not satisfied for any reason, return the product for a full refund of the purchase price.

Xceed is devoted to the development and support of Xceed Zip and is determined to pursue its evolution. That's a promise we have kept since the library's commercial introduction in 1995. Visit www.xceedsoft.com for up-to-date information on upgrades, add-on modules for Xceed Zip and other new Xceed developer tools.


Contents

Xceed Zip for .NET

Contents of the Xceed Zip for .NET Documentation

Introduction

Welcome to Xceed Zip for .NET

Features of Xceed Zip for .NET

Introduction to the zip file format

Getting Started Quickly

Installation instructions

Licensing

Getting started quickly topics

How to...

Xceed Zip Class Reference

Introduction to the Xceed.Zip namespace

Programming with the Xceed Zip Class Library

Programming with the QuickZip Class

Exception classes

Xceed FileSystem Class Reference

Introduction to the Xceed.FileSystem namespace

Programming with the Xceed FileSystem Class Library

Exception classes
Xceed Compression Class Reference

Introduction to the Xceed.Compression namespace

Programming with the Xceed Compression Class Library

Programming with the QuickCompression Class

Exception classes

Sample Applications

About the sample applications

Deploying

Methods of deployment

Redistributable Files

Legal Information

Xceed Software License Agreement

Acknowledgments

Contact and Product Information

Xceed Software's contact information

How to order Xceed Zip for .NET

Order form

Upgrades

Technical Support


Features of Xceed Zip for .NET

.NET technology

  • Object-oriented design created specifically for the .NET framework

  • 100% managed code written in C#, no runtime callable wrapper needed

  • Seamless integration with the .NET base class libraries

  • Does not use unsafe blocks for minimal permission requirements

  • All error handling works through .NET exception classes

  • Objects don't need to be explicitly disposed of

  • CLS compliant (Common Language Specification)

  • Works with .NET Isolated Storage for temporary files when necessary

  • Visual Studio .NET style documentation

  • Full support for Visual Studio .NET Intellisense™ technology

  • VB.NET and C# Samples include: A WinZip™ like zip application, a PKZIP™ like console zip application, a streaming compression sample and a Windows Explorer like application that allows you to work with files, folders and zip files interchangeably.

Design philosophy

  • Offers two approaches to using the library. One which requires only one line of code to accomplish basic tasks, the other which offers a rich set of extensible and inheritable classes for limitless flexibility

  • More than just a Zip compression library, it offers an extensible abstract object model for manipulating files and folders in a hierarchical way that improves upon the .NET base class libraries

  • The design makes manipulating files and folders in a zip file as easy as manipulating regular files and folders

  • Batch updating system allows multiple operations on a zip file to be grouped into a single optimized operation

  • Created by the same experienced development team that developed Xceed’s VBX, VCL, OCX and finally ActiveX Zip compression components since 1994. Xceed compression technology is used and trusted by tens of thousands of developers worldwide and works in millions of applications every day

Company support

  • Includes prompt, free telephone and email support

  • Generous license agreement with royalty-free distribution

Compression technology

  • RFC compliant, Zlib compatible compression engine

  • 100% compatible with the universal PKZip 2.04g standard

Major Features

  • Zip files or memory buffers into new or existing zip files

  • Unzip files to disk or directly to memory buffers

  • List contents of a zip file

  • Compress or decompress data read from or written to any .NET stream

  • Compress and decompress strings or buffers in memory

  • Copy, move, rename, delete and change attributes of files and folders in a zip file

  • Copy, move, rename, delete and change attributes of files and folders on disk

  • Zip password encryption

  • One-line shortcut classes for basic zip file and compression operations

  • Inheritable classes so you can extend the library’s functionality as needed

  • Information-rich status report events with percentages, byte and file counts

  • Programmable filter system to limit processing to specific files or folders, with built-in filters for file attribute, size, date timestamp and filenames. Create your own custom filters as needed.

Other features

  • Compress entire directories and their contents

  • Control path information stored in the zip file for each file or folder

  • Process only files newer than those already in the zip file or existing on disk

  • Full control over overwrite behavior

  • Triggers only the events your application subscribes to for increased performance

  • Get and set individual file comments or the global zip file comment

  • Supports different encryption passwords for each file

  • Controllable compression level and method

  • Zip files currently open for write operations by other processes

  • Supports long filenames and UNC paths

  • Ability to preview which files will end up being processed

  • Process system and hidden files, overwrite read-only files


Introduction to the zip file format

A zip file is a single file that contains one or more compressed files. Zip files usually have the ".ZIP" filename extension, which helps to clearly identify them.

Each file in a zip file is stored either as compressed data or as raw uncompressed data, and can be encrypted or not encrypted.

The Zip file format supports multiple compression methods. Long ago, the Zip file format was often updated to support newer compression methods. This phenomenon ended when the Deflate method was introduced with the release of PKZip 2. Deflate was fast and had decent compression. It became the de-facto compression method for the Zip file format.

Today, Deflate is over 7 years old and remains the only compression method you can count on to be compatible with Zip applications everywhere. Even the release of Deflate64 by PKWare did not affect Deflate's popularity. Deflate64 offers better compression than Deflate, but still remains totally incompatible with most Zip applications.

The zip file format is extensible in other ways too. New types of information about a file can be stored in it while still remaining compatible with existing unzipping applications.

Structurally, a zip file consists of one or more sections, each containing a file header followed by a file's compressed or raw uncompressed data. The file headers contain information such as the file's filename, file attributes and size. Following these sections is a compact "central directory" section, which contains (mostly redundant) information about each file stored in the zip file. This central directory is very useful for quickly determining what the contents of the zip file are, because it eliminates the need to scan through the entire zip file in order to find the file headers. At the very end of the zip file, an optional "zip comment" section can be provided and can be as large as 64K.

For more information regarding the zip file format, please refer to the Zip File Format document provided by the Info-Zip group.


Getting Started Quickly

Introduction

Xceed Zip for .NET allows you to perform a variety of operations on files, folders and zip files as well as compress and decompress streams and memory buffers.

Xceed Zip for .NET regroups three assemblies that allow you to perform these various manipulations: Xceed.Zip.DLL which defines the Xceed.Zip namespace, Xceed.FileSystem.DLL which defines the Xceed.FileSystem namespace and Xceed.Compression.DLL which defines the Xceed.Compression namespace.

Xceed.FileSystem namespace

The Xceed.FileSystem namespace defines classes that provide generic methods for handling abstract files and folders as well as methods to handle files and folders located on disk. For example, if you wanted to copy a disk file from one folder to another, the classes defined within the Xceed.FileSystem namespace would allow you to do it.

Here are some quick examples to get you started:

  • Copy items to a folder

  • List the contents of a folder

  • Remove items from a folder

Xceed.Zip namespace

The Xceed.Zip namespace defines classes that provide methods for performing various zip file operations.

It implements the QuickZip class which exposes static methods that allow quick and easy zip file operations in one line of code. It also implements other classes that offer more flexibility when handling zip files as well as when handling files and folders contained within zip files.

Keep in mind that since the classes defined within the Xceed.Zip namespace derive from the classes defined within the Xceed.FileSystem namespace, it is important to understand how the Xceed FileSystem class library works beforehand. If you are only interested in quick and easy zip operations in one line of code, then jump to the Programming with the QuickZip Class topic.

Here are some quick examples to get you started:

  • Copy items to a zipped folder

  • Encrypt and decrypt

  • List the contents of a zipped folder

  • Remove items from a zipped folder

  • Add files to a zip file (QuickZip class)

  • Extract files from a zip file (QuickZip class)

  • List the contents of a zip file (QuickZip class)

  • Remove items from a zip file (QuickZip class)

Xceed.Compression namespace

The Xceed.Compression namespace defines the CompressedStream class which can be constructed around any kind of System.IO.Stream object to compress data that is written to the stream or decompress data that is read from the stream. It also implements the QuickCompression class which allows quick and easy compression and decompression of memory buffers.

Here are some quick examples to get you started:

  • Compress a stream

  • Decompress a stream

  • Compress a memory buffer (QuickCompression class)

  • Decompress a memory buffer (QuickCompression class)
    Convert a string to a byte array     (QuickCompression class)


Installation Instruction index

Xceed.Zip for .NET

Installation instructions index

The Xceed Component Installer will copy all the necessary files into the product's installation folder (usually in \Program Files\Xceed Components for .NET\Xceed Zip for .NET) as well as place a copy of all the assemblies ( Xceed.Zip.DLL, Xceed.FileSystem.DLL and Xceed.Compression.DLL ) in the global assembly cache. The only thing left to do in order to begin using Xceed Zip for .NET, is to add the assemblies the your project and license Xceed Zip for .NET for runtime use.

Click on one of the following links for instructions specific to your language.

  • Installation instructions for C#

  • Installation instructions for VB.NET

  • Licensing


Installation instructions for C#

The Xceed Component Installer will copy all the necessary files into the product's installation folder (usually in \Program Files\Xceed Components for .NET\Xceed Zip for .NET) as well as place a copy of all the assemblies ( Xceed.Zip.DLL, Xceed.FileSystem.DLL and Xceed.Compression.DLL ) in the global assembly cache. The only thing left to do in order to begin using Xceed Zip for .NET is to add the assemblies the your project and license Xceed Zip for .NET for runtime use. To do this, perform the following steps:

  • Start Microsoft Visual Studio .NET.

  • On the Start Page click on the "New Project" button. This can also be done by selecting the "File\New\Project" menu.

  • In the "Project Types" menu select "Visual C# Projects".

  • In the "Templates" section select the type of application you want to create.

  • Enter the name of the project you want to create and the location where it will be created.

  • Click on the "OK" button.

You are now ready to add the necessary assemblies to your project.

  • To add the a reference to the Xceed.Zip.DLL, Xceed.FileSystem.DLL and Xceed.Compression.DLL assemblies, select the "Add Reference" option from your "Project" menu. This can also be done by right-clicking on the "References" menu in the "Solution Explorer" and selecting the "Add Reference" option.

  • In the "Add Reference" dialog, select the ".NET" tab

  • Select all three assemblies from the list of available components and click on the "Select" button. If the assemblies are not in the list of available components, you can browse for the assemblies (DLL's) using the "Browse" button.

  • Click on the "OK" button.

Finally you need to license Xceed Zip for .NET for runtime use.

  • Jump to the Licensing topic for detailed instructions.

You can then use the using directive to create aliases for existing namespaces, and avoid having to type the fully qualified type names.

using Xceed.Zip;

using Xceed.FileSystem;

using Xceed.Compression;


Installation instructions for VB.NET

The Xceed Component Installer will copy all the necessary files into the product's installation folder (usually in \Program Files\Xceed Components for .NET\Xceed Zip for .NET) as well as place a copy of all the assemblies ( Xceed.Zip.DLL, Xceed.FileSystem.DLL and Xceed.Compression.DLL ) in the global assembly cache. The only thing left to do in order to begin using Xceed Zip for .NET is to add the assemblies the your project and license Xceed Zip for .NET for runtime use. To do this, perform the following steps:

  • Start Microsoft Visual Studio .NET.

  • On the Start Page click on the "New Project" button. This can also be done by selecting the "File\New\Project" menu.

  • In the "Project Types" menu select "Visual Basic Projects".

  • In the "Templates" section select the type of application you want to create.

  • Enter the name of the project you want to create and the location where it will be created.

  • Click on the "OK" button.

You are now ready to add the necessary assemblies to your project.

  • To add the a reference to the Xceed.Zip.DLL, Xceed.FileSystem.DLL and Xceed.Compression.DLL assemblies, select the "Add Reference" option from your "Project" menu. This can also be done by right-clicking on the "References" menu in the "Solution Explorer" and selecting "Add Reference" option.

  • In the "Add Reference" dialog, select the ".NET" tab

  • Select all three assemblies from the list of available components and click on the "Select" button. If the assemblies are not in the list of available components, you can browse for the assemblies (DLL's) using the "Browse" button.

  • Click on the "OK" button.

Finally you need to license Xceed Zip for .NET for runtime use.

  • Jump to the Licensing topic for detailed instructions.

You can then use the Imports statement to create aliases for existing namespaces, and avoid having to type the fully qualified type names.

Imports Xceed.Zip

Imports Xceed.FileSystem

Imports Xceed.Compression


Licensing

Introduction

Whether you are using a trial or a registered license, in order to enable the Xceed Zip for .NET class library for runtime use, you must set the LicenseKey property of the appropriate Licenser class.

Basic steps

In order for Xceed Zip for .NET to be licensed properly within your .NET applications, the following steps must be taken:

  1. Retrieve a copy of your trial or registered license key by running the "Xceed Component Licenser". The "Xceed Component Licenser" is available from the "License this component" option in the "Start\Programs\Xceed Components for .NET\Xceed Zip for .NET" menu.

    If you have purchased a registered license, your registered license key must be provided to the "Xceed Component Licenser" in order to replace the trial license key.

  2. Open your application in Visual Studio .NET.

  3. Before doing anything else with the Xceed Zip for .NET class library, the LicenseKey property of the Xceed.Zip namespace's Licenser class must be set.

Xceed.Zip.Licenser.LicenseKey = "YOUR-LICENSE-KEY";

Setting the LicenseKey property of the Xceed.Zip namespace's Licenser class will automatically license the Xceed FileSystem and Xceed Compression assemblies for runtime use.

If you are only using the Xceed Compression assembly, then you only need to set the LicenseKey property of the Xceed.Compression namespace's Licenser class:

Xceed.Compression.Licenser.LicenseKey = "YOUR-LICENSE-KEY";

If you are only using the Xceed FileSystem assembly, then you only need to set the LicenseKey property of the Xceed.FileSystem namespace's Licenser class:

Xceed.FileSystem.Licenser.LicenseKey = "YOUR-LICENSE-KEY";

Remarks

If you are using an invalid license key or an expired trial license key, the LicenseException exception will be thrown at runtime stating that you are not licensed for distribution.


How To

Xceed Zip for .NET

How to...

Introduction

Although many examples are available throughout the documentation, this section of the documentation is designed to give you easy access to the most commonly sought after examples.

Xceed FileSystem Class Library

Copy items to a folder

List the contents of a folder

Remove items from a folder

Xceed Zip Class Library

Copy items to a zipped folder

Encrypt and decrypt

List the contents of a zipped folder

Remove items from a zipped folder

Xceed Compression Class Library

Compress a stream

Decompress a stream

Xceed QuickZip Class

Add files to a zip file

Extract files from a zip file

List the contents of a zip file

Remove items from a zip file

Xceed QuickCompression Class

Compress a memory buffer

Decompress a memory buffer
Convert a string to a byte array

If you don't see what you are looking for here, the next step is to go to the appropriate "Programming with" section:

  • Programming with the Xceed FileSystem Class Library

  • Programming with the Xceed Zip Class Library

  • Programming with the QuickZip Class

  • Programming with the Xceed Compression Class Library

  • Programming with the QuickCompression Class


About the sample applications

MiniExplorer sample application

The MiniExplorer sample demonstrates how to use the Xceed FileSystem object model in a generic way from within C#. It handles both files and folders without knowing the type of the file or folder being manipulated.

ZipDemo sample application

The ZipDemo sample application demonstrates how to perform basic zip file manipulation using the Xceed Zip and Xceed FileSystem assemblies in both C# and VB.NET.

StreamDemo

The StreamDemo sample is a console application that demonstrates how to use the CompressedStream class to compress/decompress data as it is written to/read from a Stream using the Xceed Compression assembly. This sample is available in both C# and VB.NET.

ZipManager sample Application

The ZipManager sample demonstrates how to use Xceed Zip for .NET from within VB.NET.

ExtendingDemo sample application

The ExtendingDemo sample application demonstrates how to extend the Xceed FileSystem object model. It's classes, which derive from the AbstractFolder and AbstractFile classes, implement file and folder manipulations for files and folders located in isolated storage.

UsingExtendingDemo sample application

The UsingExtendingDemo sample application simply demonstrates how to use the basic functions of the IsolatedFolder and IsolatedFile classes contained within the ExtendingDemo sample.

Remarks

When opening the sample applications for the first time, the following dialog box will appear:

Simply press OK to continue opening the sample application. The next time the samples are opened, the dialog box will not be displayed.


MiniExplorer Sample Application

Introduction

The MiniExplorer sample is a C#, Windows Explorer like application that allows you to manipulate files and folders without explicitly knowing the types of the files or folders being manipulate.

The sample includes fully commented source code which should complement the examples available in this documentation, but in the context of a real application, not specific examples designed exclusively to demonstrate each method. We propose that you dive right into the sample's source code and take a look.

Source code location

C# - <Installation Folder>\Xceed Zip for .NET\Samples\C#\MiniExplorer\


StreamDemo Sample Application

Introduction

The StreamDemo sample is a console application that demonstrates how to use the CompressedStream class to compress/decompress data as it is written to/read from a Stream in both C# and VB.NET.

The sample includes fully commented source code which should complement the examples available in this documentation, but in the context of a real application, not specific examples designed exclusively to demonstrate each method. We propose that you dive right into the sample's source code and take a look.

Source code location

C# - <Installation Folder>\Xceed Zip for .NET\Samples\C#\StreamDemo\

VB.NET - <Installation Folder>\Xceed Zip for .NET\Samples\Visual Basic.NET\StreamDemo\


ZipDemo Sample Application

Introduction

The ZipDemo sample is a console application that allows you to manipulate zip files and is available in both C# and VB.NET code.

The sample includes fully commented source code which should complement the examples available in this documentation, but in the context of a real application, not specific examples designed exclusively to demonstrate each method. We propose that you dive right into the sample's source code and take a look.

Source code location

C# - <Installation Folder>\Xceed Zip for .NET\Samples\C#\ZipDemo\

VB.NET - <Installation Folder>\Xceed Zip for .NET\Samples\Visual Basic.NET\ZipDemo\


ZipManager Sample Application

Introduction

The ZipManager sample is a WinZip™ like application that demonstrates how to use Xceed Zip for .NET in VB.NET.

The sample includes fully commented source code which should complement the examples available in this documentation, but in the context of a real application, not specific examples designed exclusively to demonstrate each method. We propose that you dive right into the sample's source code and take a look.

Source code location

C# - <Installation Folder>\Xceed Zip for .NET\Samples\Visual Basic.NET\ZipManager\


ExtendingDemo Sample Application

Introduction

The ExtendingDemo sample is a C# class library that allows you to manipulate files and folders located in isolated storage.

The sample includes fully commented source code which should complement the examples available in this documentation, but in the context of a real application, not specific examples designed exclusively to demonstrate each method. We propose that you dive right into the sample's source code and take a look.

Source code location

C# - <Installation Folder>\Xceed Zip for .NET\Samples\C#\ExtendingDemo\


UsingExtendingDemo Sample Application

Introduction

The UsingExtendingDemo sample is a C# Windows application that demonstrates how to use the basic functions of the IsolatedFolder and IsolatedFile classes contained within the ExtendingDemo sample.

The sample includes fully commented source code which should complement the examples available in this documentation, but in the context of a real application, not specific examples designed exclusively to demonstrate each method. We propose that you dive right into the sample's source code and take a look.

Source code location

C# - <Installation Folder>\Xceed Zip for .NET\Samples\C#\UsingExtendingDemo\


Methods of deployment

Introduction

When distributing an application that uses Xceed Zip for .NET, the three assemblies that make up Xceed Zip for .NET (Xceed.Zip.DLL, Xceed.FileSystem.DLL and Xceed.Compression.DLL) must also be distributed along with your application. The assemblies must either be installed into the global assembly cache or must be placed in the same directory as the executable.

Installing assemblies into the global assembly cache

In order to install the assemblies into the global assembly cache, Microsoft Windows Installer 2.0 must be used. This is the recommended and most common way to add assemblies to the global assembly cache and it provides reference counting of assemblies in the global assembly cache, plus other benefits.

For more information in regards to installing assemblies into the global assembly cache, please refer to the Installing an Assembly into the Global Assembly Cache topic of the .NET Framework Developer's Guide.

Remarks

For more information regarding the deployment of .NET applications, please refer to the Deploying applications topic of the .NET Framework Developer's Guide.


Redistributable Files

Introduction

The following "redistributable files" are the only files you are permitted (and need) to distribute along with applications you develop that use Xceed Zip for .NET.

Only users that have purchased a registered license may distribute applications that use Xceed Zip for .NET. You may not distribute any of Xceed Zip for .NET files other than the ones listed below. Please see the Xceed Software License Agreement for complete details.

Redistributable Files

Assembly | Description
Xceed.Zip.DLL | Implements the Xceed.Zip namespace.
Xceed.FileSystem.DLL | Implements the Xceed.FileSystem namespace.
Xceed.Compression.DLL | Implements the Xceed.Compression namespace.


Acknowledgments

Zlib

The PKZip 2.04g-compatible compression algorithm ("Deflate") used by Xceed Zip for .NET is loosely based on the Zlib library, written by Jean-Loup Gailly and Mark Adler. Zlib is a publicly available compression library that can be downloaded from the Zlib web site (if you are interested in it, we suggest you do a search on yahoo.com in order to make sure you have the latest web site address).

Last known URL as of January 17th, 2002: http://www.gzip.org/zlib/

eHelp - RoboHelp

This HTML documentation was created using RoboHelp Office 2002 . It is a very complete package that includes lots of time-saving tools, is very robust, fully integrates with Microsoft Word and comes with excellent technical support.

NDoc

All the class library reference documentation in this HTML help file was generated using NDoc. NDoc is an open source project that creates complied HTML help files from assemblies and XML documentation files. The source code for NDoc is freely available under a certified Open Source license.


Xceed Software License Agreement

IMPORTANT NOTICE

PLEASE READ THIS CONTRACT CAREFULLY. BY USING ALL OR ANY PORTION OF THE SOFTWARE YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT. YOU AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. IF YOU DO NOT AGREE, DO NOT INSTALL OR OTHERWISE USE THIS SOFTWARE. IF YOU ACQUIRED THE SOFTWARE WITHOUT AN OPPORTUNITY TO REVIEW THIS LICENSE AND YOU DO NOT ACCEPT THIS AGREEMENT, YOU MUST IMMEDIATELY CEASE AND DESIST USING THE SOFTWARE AND MAY RETURN IT, WITH PROOF OF PAYMENT, TO THE LOCATION FROM WHICH IT WAS OBTAINED FOR A FULL REFUND OF THE AMOUNT YOU ORIGINALLY PAID.

This License Agreement (“Agreement”) is a legal agreement between Xceed Software Inc. (“Xceed”), a Quebec corporation, principally located in Longueuil, Quebec, and you, the user (“Licensee”), and is effective the date Licensee installs, downloads, copies or otherwise Uses any Xceed software product in whole or in part (“Software”). “Use”, “Uses” or “Used” means to access any of the files that are included with the Software, to develop an application that makes use of the Software, to consult any of the documentation included with the Software, or to otherwise benefit from using the Software.

The Software is licensed, not sold. If Licensee has obtained a registered license from Xceed or an authorized reseller, Licensee is considered to be an authorized (“Authorized”) licensee.

1. GRANT OF INSTALL LICENSE

Xceed grants Licensee the non-exclusive license to install the Software on an unlimited number of computers at Licensee’s premises.

2. GRANT OF DEVELOPMENT LICENSE

Xceed grants Licensee the non-exclusive license to Use the Software on a single computer at any given time for the purpose of developing any number of end user applications that operate in conjunction with the Software. The license rights granted hereunder do not apply to development and distribution of software development products or toolkits of any kind, including but not limited to class libraries, components, ActiveX controls, DLLs, plug-ins, adapters, authoring tools, development toolkits and compilers. Only a Licensee that is Authorized may Use the Software for a period longer than 20 days after the date the Software was first installed on any computer at Licensee’s premises.

If Licensee is Authorized and has purchased a "multi-pack" or “team” license, the Software may simultaneously be Used at Licensee’s premises by the number of programmers associated with the multi-pack or team license (e.g. a “team4” or four developer multi-pack license allows up to four programmers to simultaneously Use the Software on up to four computers at the same time).

If Licensee is Authorized and has purchased a “site license”, the Software may simultaneously be Used by any number of programmers in a single building at Licensee’s premises.

3. GRANT OF DUPLICATION AND DISTRIBUTION LICENSE

The Software includes certain runtime libraries and binary files intended for duplication and distribution by a Licensee that is Authorized. These runtime libraries and binary files are specifically identified as “Redistributable Files” in the documentation included with the Software (herein, “Redistributable Files”).

If Licensee is Authorized, Xceed grants Licensee the non-exclusive, royalty-free license to duplicate and distribute the Redistributable Files.

Redistribution Requirements: If Licensee redistributes the Redistributable Files, Licensee agrees to (i) distribute the Redistributable Files only in conjunction with and as part of Licensee’s software application product(s); (ii) not supply any means by which an end users could incorporate the Software or portions thereof in their own products; (iii) not use Xceed’s name, logo or trademarks to market a software application product; (iv) include a valid copyright notice on Licensee’s software; (v) indemnify, hold harmless, and defend Xceed from and against any claims or lawsuits, including attorney’s fees, that arise or result from the use and distribution of Licensee’s software application product; and (vi) not permit further distribution of the Redistributable Files by end user(s) of Licensee’s software.

4. SAMPLE CODE

In addition to the licenses granted above, Xceed grants Licensee the license to Use, copy and modify the source code version of those portions of the Software clearly identified as "Samples" or "Sample Code" or "Sample applications" ("Sample Code") for the sole purposes of designing, developing, and testing Licensee’s software product(s), and to reproduce and distribute the Sample Code, along with any modifications thereof. The foregoing license is subject to the following conditions: (i) Licensee shall not use Xceed’s name, logo, or trademarks to market the Sample Code or any derivative work thereof; (ii) Licensee shall include a valid copyright notice on all copies of the Sample Code and any derivative works thereof; (iii) Licensee shall agree to indemnify and hold harmless Xceed from and against any claims or lawsuits, including attorneys’ fees, that arise from or result from the use, copying, modification or distribution of the Sample Code and/or derivative works thereof, and (iv) otherwise comply with the terms of this agreement. Licensee shall not permit further distribution of the Sample Code and/or derivative works by third parties.

5. BACK-UP AND TRANSFER

Licensee may make one copy of the Software solely for "back-up" purposes, as prescribed by Canadian, United States, and international copyright laws. Licensee must reproduce and include the copyright notice on the back-up copy. Licensee may transfer the Software to another party only if the other party agrees to the terms and conditions of the Agreement, and completes and returns registration information (name, address, etc.) to Xceed within 30 days of the transfer. If Licensee transfers the Software, Licensee must at the same time transfer the documentation and back-up copy, or transfer the documentation and destroy the back-up copy. Licensee may not retain any portion of the program, in any form, under any circumstance.

6. REVERSE-ENGINEERING

Licensee acknowledges that the Software, in source code form, remains a confidential trade secret of Xceed and/or its suppliers and therefore Licensee agrees that it shall not modify, decompile, disassemble or reverse engineer the Software or attempt to do so. Licensee agrees to refrain from disclosing the Software (and to take reasonable measures with its employees to ensure they do not disclose the Software) to any person, firm or entity except as expressly permitted herein.

7. RESTRICTIONS

Licensee may not Use, copy, modify, translate, or transfer the Software, documentation, license key, or any of the files included with the Software except as expressly defined in this agreement. Licensee may not attempt to unlock or bypass any “copy-protection”, licensing or authentication algorithm utilized by the Software. Licensee may not remove or modify any copyright notice, nor the About dialog or the method by which it may be invoked. Licensee may not rent or lease the Software. Violations will be prosecuted to the maximum extent possible under the law.

8. LIABILITY DISCLAIMER

The Software is provided as is, without any representation or warranty of any kind, either express or implied, including without limitation any representations or endorsements regarding the use of, the results of, or performance of the product, its appropriateness, accuracy, reliability, or correctness. The entire risk as to the use of this product is assumed by Licensee. Xceed does not assume liability for the use of this program beyond the original purchase price of the software. In no event will Xceed be liable for additional direct or indirect damages including any lost profits, lost savings, or other incidental or consequential damages arising from any defects, or the use or inability to use these programs, even if Xceed has been advised of the possibility of such damages.

9. EXPORT LAW

Licensee acknowledges and agrees that the Software may be subject to export restrictions and controls. Licensee agrees and certifies that neither the Software nor any direct product thereof (e.g. any application software developed by Licensee that uses the Software) is being or will be acquired, shipped, transferred or re-exported, directly or indirectly, into any country prohibited by export restrictions and controls. Licensee bears all responsibility for export law compliance and will indemnify Xceed against all claims based on Licensee’s exporting the Software.

10. TERMS

This Agreement is effective until terminated. Licensee may terminate it by destroying the Software, all the Redistributable Files Licensee may have distributed, the documentation and copies thereof. This license will also terminate if Licensee fails to comply with any terms or conditions of this Agreement. Licensee agrees upon such termination to destroy all copies of the Software and of the documentation, or return them to Xceed for disposal.

11. PARTIES BOUND

If Licensee is executing this Agreement on behalf of an entity, then Licensee represents that Licensee has the authority to execute this agreement on behalf of such entity and agree that the Software (and any copies thereof) shall remain on the company premises.

12. COPYRIGHT

The Software is Copyright ©1995-2002 Xceed Software Inc., all rights reserved. The Software is protected by Canadian and United States copyright laws, international treaties and all other applicable national or international laws.

13. OTHER RIGHTS AND RESTRICTIONS

Except for the limited license granted herein, Xceed, and its suppliers, retains exclusive ownership of all proprietary rights (including all ownership rights, title, and interest) in and to the Software. Licensee agrees not to represent that Xceed is affiliated with or approves of Licensee’s application software in any way.

14. GENERAL

This Agreement shall be interpreted, construed, and enforced according to the laws of the Province of Quebec, Canada. In the event of any action under this Agreement, the parties agree that federal and provincial courts located in Longueuil, Quebec will have exclusive jurisdiction and that a suit may only be brought in Longueuil, Quebec and Licensee submits itself for the jurisdiction and venue of the provincial and federal courts located in Longueuil, Quebec.

This Agreement constitutes the entire agreement and understanding of the parties and may be modified only in writing signed by both parties. No officer, Salesman or agent has any authority to obligate Xceed by any terms, stipulation or conditions not expressed in the Agreement.

If any portion of this Agreement is determined to be legally invalid or unenforceable, such portion will be severed from this Agreement and the remainder of the Agreement will continue to be fully enforceable and valid.

Revised January 17th 2002


Contact Information

Internet

General inquiries: info@xceedsoft.com

Technical Support: support@xceedsoft.com

Sales: sales@xceedsoft.com

Web site: www.xceedsoft.com

Telephone

General inquiries: 1-450-442-2626

Technical Support: 1-450-442-2626 ext.227

Orders: 1-800-865-2626

Fax: 1-450-442-4604

Mail

Xceed Software Inc

1555 Jean-Paul Vincent

Suite 180

Longueuil, Québec

Canada

J4N 1L6


How to order

To place an order

Contact Xceed Software directly using the (800) 865-2626 order line, fax/mail an order form, or use the secure online ordering system at www.xceedsoft.com. See the order form for pricing information.

If you are an established distributor or reseller and you wish to carry Xceed products, please contact us directly.

When ordering, please follow these simple guidelines

  • Print or type clearly. Do not assume we will know what city, state/province, or country you are in. This is especially important for foreign orders, where it is more difficult for us to guess what a city or state might be. For telephone or fax numbers, please include your country code, and/or make sure that the country is spelled out completely. Do not use abbreviations such as UK, DN, FR, etc. It will avoid confusion and greatly accelerate processing your order.

  • We can only accept credit cards, US or Canadian checks and international bank drafts or money orders. Please do not send EuroChecks, Purchase Orders or request bank transfers. All checks must be drawn on a US or Canadian bank.

  • If you are sending a check or a bank draft, and this file is more than 6 months old, please make sure that the price has not changed before you order.

  • If you send a bank draft, please do not have the bank send it automatically. You must include an order form with the bank draft.

  • If you order by credit card, please make sure you include all the details, including the card number, the expiration date, and the complete name on the card. Do not send a fax/letter asking us to call you for the card number. Call us directly if you do not want to include the card number on your fax.

  • Although we will always do our utmost to process your order as quickly as possible, it can sometimes take up to 48 hours. Please consider this when you place a rush order.

  • Finally, please note the time before you call and check the time difference between your time zone and ours. We are located in the Eastern standard time zone.

These few guidelines will help assure that everyone will get their order processed quickly and correctly.


Order Form

Mail & Fax Order Form

Xceed Software Inc

1555 Jean-Paul Vincent, suite 180

Longueuil, Québec

Canada J4N 1L6

Tel: 1-450-442-2626

Fax: 1-450-442-4604

Developer's Registration Information
Name/Contact: | Company:
Street:
City: | State/Province:
Zip/Postal Code: | Country:
Telephone: | Fax:
Email:
Where did you first hear about Xceed?

Product | Price(USD) | Quantity | Total
Xceed Zip for .NET v1.0 - 1 development license | $299.95 |  | $
Xceed Zip for .NET v1.0 Team4 - 4 development licenses | $599.95 |  | $
Xceed Zip for .NET v1.0 Team8 - 8 development licenses | $899.95 |  | $
Xceed Zip for .NET v1.0 - Site License (Includes development licenses for all developers at the same site) | $1499.95 |  | $
Optional Backup CD Service - Mark desired option with an [X] |  | Price | Total
All Xceed products are shipped free of charge by email. If your company's policy requires that a physical product be shipped, Xceed offers an optional backup CD service. | Backup CD by regular mail | $30 USD [ ] | $
 | Backup CD by FedEx - USA/Canada | $45 USD [ ] | $
 | Backup CD by FedEx - WorldWide | $60 USD [ ] | $
Taxes | Total
Sub-Total | $
Canadian residents add 7% GST, Québec residents also add 7.5% PST | $
TOTAL | $

Payment - Mark desired option with an [X]
[ ] Visa [ ] MasterCard [ ] American Express | Credit Card Number:
[ ] US$ or Canadian$ Check | Expiration Date:
[ ] US$ International Bank Draft | Name on card:
Sorry, no POs or bank transfers accepted | Signature:

Please note that your order will be charged in Canadian dollars at the current US dollar exchange rate.

All products include a 60 day satisfaction money-back guarantee, and royalty-free distribution rights.


Upgrades and Subscriptions

Upgrade policy

Minor changes and bug fixes are free. Major revisions carry an upgrade fee. If we release a major revision within 60 days of your purchase and it is identically priced, we will provide the upgrade free of charge.

Upgrade pricing

An upgrade from any previous version of Xceed Zip Compression Library or Xceed Zip for .NET to the latest version of Xceed Zip for .NET costs $149.95, and includes any major updates released within 60 days of your upgrade. Multi-developer upgrades also available.

Note: There is as of yet no Self-Extractor Module for Xceed Zip for .NET

Upgrade subscription

A 15-month upgrade subscription costs $199.95 and entitles you to 15 months worth of major and minor upgrades. If no new major upgrades are released within your 15-month subscription period, it will be extended until a major upgrade is released. Multi-developer upgrade subscriptions also available.

Upgrade subscription at purchase (SAVE!)

If you purchase a 15-month upgrade subscription at the same time you purchase Xceed Zip for .NET, the cost is reduced to $99.95.


Technical Support

Before you contact us

In order to save everyone some time, we'd like you to do a few things before you contact us. We know the urge to call is great, but we'd appreciate it if you double check this list:

  • Have you consulted the HTML Help manual and tried the search function?

  • Have you looked at the sample application sources?

  • Have you searched the knowledge base?

  • Have you looked at the short code samples and sample applications on our web site?

  • Are you using the latest DLL?

If you got this far, it's definitely time to tell us about your problem! Start by noting down the language you are using, the version of the library, the exact error message (if any) or error code values you are getting, the programming language and operating system you are running your project on and a brief description of what you are trying to do. It would be a good idea to also note down exactly when the problem occurs.

How to contact us

The preferred method of contacting us for technical support is to use our online support form. You can also send an email to support@xceedsoft.com but if you do, please include the required information, listed in the next section below. Xceed also offers free telephone support, Monday through Friday from 09:00 to 17:00 Eastern Standard Time, at (450) 442-2626 ext 227.

Although there is currently no expiration date on free support, we reserve the right to restrict it to the first 60 days from the time of purchase, without any prior notice.